Skip to main content
GET
/
api
/
audit-logs
/
{id}
Error
A valid request URL is required to generate request examples
{
  "audit_log": {
    "id": "<string>",
    "typeURI": "<string>",
    "eventTime": "2023-11-07T05:31:56Z",
    "initiator": {
      "id": "<string>",
      "typeURI": "<string>",
      "name": "<string>",
      "host": "<string>"
    },
    "target": {
      "id": "<string>",
      "typeURI": "<string>",
      "name": "<string>",
      "host": "<string>"
    },
    "observer": {
      "id": "<string>",
      "typeURI": "<string>",
      "name": "<string>",
      "host": "<string>"
    },
    "signature": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "reason": {
      "reasonCode": "<string>",
      "reasonType": "<string>",
      "message": "<string>"
    },
    "attachments": [
      {
        "name": "<string>",
        "contentType": "<string>",
        "content": "<string>"
      }
    ],
    "tags": [
      "<string>"
    ],
    "requestMethod": "<string>",
    "requestPath": "<string>",
    "requestIP": "<string>",
    "userAgent": "<string>",
    "duration": 123
  }
}
{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}
{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}
{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Path Parameters

id
string
required

The unique identifier of the audit log event.

Response

Successful response

Response wrapper for a single audit log entry.

audit_log
object
required

A CADF-compliant audit event.